# dynamic_traits< algebra::TropicalSemiring< TropicalKind > > Struct Template Reference
[Algebra, Semiring]

Meta information about the tropical semirings. More...

Inherits dynamic_traits< algebra::SemiringBase< algebra::TropicalSemiring< TropicalKind > > >.

## Detailed Description

### template<class TropicalKind>
struct vcsn::dynamic_traits< algebra::TropicalSemiring< TropicalKind > >

Meta information about the tropical semirings.

Definition at line 40 of file concept/tropical_semiring.hh.